Bug 875319

Summary: printing J8651 labels
Product: [Fedora] Fedora Reporter: Dimitri Papadopoulos <dimitri.papadopoulos>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-04 06:46:45 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
scan of the printout on a sheet of J8651 labels of LibreOffice document J8651.odt and Microsoft Office document J8651.docx
none
LibreOffice Writer document, printed out and then scanned as J8651.pdf
none
Microsoft Word document, printed out and then scanned as J8651.pdf
none
version 1
none
version 2
none
LibreOffice Writer document
none
scan of the printout on a sheet of J8651 labels of the above LibreOffice Write document TEST.odt none

Description Dimitri Papadopoulos 2012-11-10 08:24:23 EST
Created attachment 642122 [details]
scan of the printout on a sheet of J8651 labels of LibreOffice document J8651.odt and Microsoft Office document J8651.docx

Description of problem:
Text is not positioned correctly on a sheet of J8651 labels

Version-Release number of selected component (if applicable):
3.5.7.2-3.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start LibreOffice Write
2. Create a new document : File > New > Labels
3. Select J8651 Mini Address
4. Fill in the 
5. Print to sheet of J8651 labels
  
Actual results:
Text is not printed correctly, centered and within each label. See attached scan J8651.pdf of the sheet of labels printed after attached LibreOffice document J8651.odt.

Expected results:
The text is not correctly printed, centered and within each label.


Additional info:
Note that Microsoft Office 2007 on Windows Vista also prints text with a visible vertical offset. See attached scan J8651.pdf of the sheet of labels printed after attached Word document J8651.docx. LibreOffice is however much worse: not only is the text not properly aligned vertically, it's also completely out of alignment horizontally.
Comment 1 Dimitri Papadopoulos 2012-11-10 08:29:48 EST
Created attachment 642123 [details]
LibreOffice Writer document, printed out and then scanned as J8651.pdf

LibreOffice Writer document J8651.odt was printed from LibreOffice Writer running on Fedora 17 to an HP Photosmart C5390 printer and a sheet of Avery J8651 labels.

The sheet was then scanned as J8651.pdf.
Comment 2 Dimitri Papadopoulos 2012-11-10 08:31:43 EST
Created attachment 642124 [details]
Microsoft Word document, printed out and then scanned as J8651.pdf

Microsoft Word document, printed out and then scanned as J8651.pdf

Microsoft Word document J8651.docs was printed from Microsoft Office 2007 running on Windows Vista to the same HP Photosmart C5390 printer and the same sheet of Avery J8651 labels.

The sheet was scanned as J8651.pdf.
Comment 3 Dimitri Papadopoulos 2012-11-10 08:41:51 EST
I have checked that file /usr/lib64/libreoffice/share/registry/main.xcd is correct. The entry for J8651 looks like:
<prop oor:name="Measure"><value>S;4064;2117;3810;2117;467;1090;5;13;21000;29700</value></prop>

* The sheet of J8651 labels has indeed A4 format: 210 × 297 mm.
* The J8651 labels indeed look like they are 38,1 mm × 21,17 mm.
* There is no vertical space between labels and the horizontal space indeed looks like it's 4064 - 3810 = 2,54 mm
* The fist label indeed looks like it is 10,9 mm from the top margin and 4,67 mm from the left margin.
* There are 5 × 13 labels on the sheet.
Comment 4 Fedora End Of Life 2013-07-03 17:12:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dimitri Papadopoulos 2013-07-04 02:52:58 EDT
Still there in Fedora 18.

Curiously enough, inserting a frame in a label and then inserting text within the frame (instead of inserting text directly in the label) seems to fix things: text is printed correctly within the boundaries of the label.
Comment 6 Caolan McNamara 2013-12-03 10:24:21 EST
Created attachment 832148 [details]
version 1
Comment 7 Caolan McNamara 2013-12-03 10:25:05 EST
Created attachment 832150 [details]
version 2
Comment 8 Caolan McNamara 2013-12-03 10:55:15 EST
As far as I can tell our numbers are correct in the .xcd alright if I compare to the "official" template that Avery has on their website. Ideally I'd have such a sheet :-) http://www.labels-direct.co.uk/65-up-mini-label-sheets/sheets/25 reports a different vertical distance, but that doesn't explain the horizontal diff in your pdfs.
Comment 9 Caolan McNamara 2013-12-03 12:00:28 EST
The .odt of comment #1 is indeed all busted up horizontally, i.e. there's no space between the labels. If that was generated from libreoffice's file->new->label then that problem appears to be fixed in libreoffice-core-4.1.3.2-5.fc19
Comment 10 Dimitri Papadopoulos 2013-12-03 14:20:26 EST
I've tried it on Fedora 19 and indeed there has been progress.

Please find attached:
* TEST.odt: I have typed a few occurrences of TEST in 6 labels
* TEST.pdf: I have printed the above document on an Avery J8651 label sheet and then scanned the label sheet
Comment 11 Dimitri Papadopoulos 2013-12-03 14:21:21 EST
Created attachment 832260 [details]
LibreOffice Writer document
Comment 12 Dimitri Papadopoulos 2013-12-03 14:22:26 EST
Created attachment 832262 [details]
scan of the printout on a sheet of J8651 labels of the above LibreOffice Write document TEST.odt
Comment 13 Dimitri Papadopoulos 2013-12-03 14:28:36 EST
Hopefully you can see the edges of the labels on TEST.pdf.

Vertically, there's a slight difference between the top and the bootom of the label sheet:
* In the top labels, top of the letters is aligned with top of the label.
* In the bottom labels, top of the letters is 1 mm abovve teh top of the labels.

Horizontally, there's a slight difference between the labels at the left and the labels at the right:
* In the left label, the vertical bar of the first T is aligned with the left edge of the label.
* In the right labels, teh vertical bar of the first T is 1 mm to the righ tof the left edge.

This is a huge improvment. The slight remaining differences may be due to the printer itself. I haven't tried with Microsoft Word, but chances are it's not better.
Comment 14 Caolan McNamara 2013-12-04 06:46:45 EST
Yeah, that's a massive improvement alright. I think I'll call this fixed seeing as we're within wriggle-room tolerences